Index Page insrti_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void insrti_c ( SpiceInt        item,
                       SpiceCell     * set  )
#### Abstract
       Insert an item into an integer set.
#### Required_Reading
       SETS
#### Keywords
       CELLS, SETS
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       item       I   Item to be inserted.
       set       I/O  Insertion set.
#### Detailed_Input
       item        is an item which is to be inserted into the
                   specified set. item may or may not already
                   be an element of the set.

       set         is a CSPICE set.  set must be declared as an integer
                   SpiceCell.

                   On input, set  may or may not contain the input item
                   as an element.
#### Detailed_Output
       set         on output contains the union of the input set and
                   the singleton set containing the input item.
#### Parameters
       None.
#### Exceptions
       1) If the input set argument is a SpiceCell of type other than
          integer, the error SPICE(TYPEMISMATCH) is signaled.

       2) If the insertion of the element into the set causes an excess
          of elements, the error SPICE(SETEXCESS) is signaled.

       3) If the input set argument does not qualify as a CSPICE set,
          the error SPICE(NOTASET) will be signaled.  CSPICE sets have
          their data elements sorted in increasing order and contain
          no duplicate data elements.
#### Files
       None.
#### Particulars
       None.
#### Examples
       1) In the following example, the NAIF ID code of Pluto is removed from
          the integer set planets and inserted into the integer set
          asteroids.

             #include "SpiceUsr.h"
                    .
                    .
                    .
             /.
             Declare the sets with maximum number of elements MAXSIZ.
             ./
             SPICEINT_CELL ( planets,   MAXSIZ );
             SPICEINT_CELL ( asteroids, MAXSIZ );
                    .
                    .
                    .
             removi_c ( 999, &planets   );
             insrti_c ( 999, &asteroids );

          If 999 is not an element of planets, then the contents of
          planets are not changed. Similarly, if 999 is already an
          element of asteroids, the contents of asteroids remain unchanged.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       C.A. Curzon     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 2.0.0, 01-NOV-2005 (NJB)

           Long error message was updated to include size of
           set into which insertion was attempted.

       -CSPICE Version 1.0.0, 07-AUG-2002 (NJB) (CAC) (WLT) (IMU)
#### Index_Entries
       insert an item into an integer set
#### Link to routine insrti_c source file insrti_c.c

    Wed Apr  5 17:54:37 2017